Retrieve Collection NFT List

Returns the NFT list of a NFT collection by a given object type.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported on Sui Mainnet.

🚧

The NFT Collection List API on Sui is currently exclusively available to Pro Members. However, non-Pro members can also enjoy a trial period with an allocation of 30 free calls. If you're interested, please register directly through here. Please note that the API Key can also be used for your RPC endpoint.

Parameter

  • objectType, string - the object type for the collection to get the NFT list.
  • cursor, string - cursor indicates the position in a paginated result set.
  • limit, integer - the maximum number of results to return per page. Defaults to 20, maximum is 50.

Response

object - a returned object with NFT collection list, next page index and total number of NFT collections. Contains:

  • data - an array of NFT objects. An empty array will be returned if there are no NFT collection.
    • imageURL, string - the image URL of an NFT.
    • type, string - the type of an NFT.
    • objectType, string - the object type of an NFT.
    • name, string - the name of an NFT.
    • owner, string - the owner ID of an NFT.
    • version, integer - the version of an NFT.
    • createdTime, integer - the timestamp indicating the exact moment of NFT creation.
    • objectId, string - the object ID of an NFT.
  • nextPageCursor, string - the cursor for fetching the next page of results, if the last page has been reached, nextPageCursor will be an empty string ("").
  • total, integer - the number of NFT collections.

For higher throughput, create your own API key.

Query Params
string
required
Defaults to 0xf1681f601a1c021a0b4c8c8859d50917308fcbebfd19364c4e856ac670bb8496%3A%3Asuishi%3A%3ASuishi

string - the object type for the collection to get the NFT list.

string
Defaults to 0x0469e53b64b97592248bd0f163df06a8b2b4bebc71da2a2e57a871a454b8582e

next page cursor.

int32
Defaults to 20

the maximum number of results to return per page. Defaults to 20, maximum is 50.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json